<?php 
get_header();
?>

<div id="container">
	<div id="content">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<?php if ( mytheme_is_asides() and !is_single() ) { ?>
		<!-- This post is an aside -->

			<div class="asides">
				<?php echo wptexturize($post->post_content); ?>
				<a href="<?php the_permalink() ?>" rel="bookmark">&laquo;</a>
			</div>
		
		<?php } else { ?>

			<!-- This post is not an asides: do things normally -->
			<div class="post">
				<h2 class="storytitle" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				<div class="meta"><?php _e("Filed under:"); ?> <?php the_category(',') ?> &#8212; <?php the_author() ?> @ <?php the_time() ?> <?php edit_post_link(__('Edit This')); ?></div>
				<div class="storycontent">
					<?php the_content(__('(more...)')); ?>
				</div>
				<div class="feedback">
		         <?php wp_link_pages(); ?>
		         <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?>
				</div>
				<!--
				<?php trackback_rdf(); ?>
				-->
			</div>
			<div id="comment">
				<?php comments_template(); // Get wp-comments.php template ?>
			</div>
		
		<?php } ?> <!-- end of aside or not -->

		<?php endwhile; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
		<?php endif; ?>
		<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>
	</div>

	<div id="menu">
	<?php get_sidebar(); ?>
	</div>
</div>

<?php get_footer(); ?>
